Last Comment Bug 289353 - DIVs shift and grey areas appear when scrolling page on Firefox
: DIVs shift and grey areas appear when scrolling page on Firefox
Status: RESOLVED FIXED
[no l10n impact]
: testcase
Product: Core Graveyard
Classification: Graveyard
Component: Widget: Mac (show other bugs)
: Trunk
: PowerPC Mac OS X
: P2 normal (vote)
: mozilla1.8beta3
Assigned To: Simon Fraser
:
Mentors:
http://www.javalobby.org/java/forums/...
: 228838 259563 292935 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-06 14:12 PDT by jhp (no longer active)
Modified: 2009-11-21 15:18 PST (History)
9 users (show)
asa: blocking1.8b2-
benjamin: blocking1.8b3-
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
reduced testcase (5.91 KB, text/html)
2005-04-06 15:06 PDT, jhp (no longer active)
no flags Details
Patch (2.40 KB, patch)
2005-07-19 16:42 PDT, Simon Fraser
mark: review+
jhpedemonte: review+
sfraser_bugs: superreview+
shaver: approval1.8b4+
Details | Diff | Review

Description jhp (no longer active) 2005-04-06 14:12:12 PDT
When scrolling the page listed in URL field, parts of the page shift
unnaturally, and grey areas appear.  Happens on Firefox/Mac, but not on other
platforms, and not on Camino, which means that it might point to a bug in the
carbon widget code.
Comment 1 jhp (no longer active) 2005-04-06 14:29:54 PDT
Seems to be related to the floating DIV on the left hand side.  If I remove that
from the HTML code, then I don't see the ugliness any more.
Comment 2 jhp (no longer active) 2005-04-06 15:06:49 PDT
Created attachment 179883 [details]
reduced testcase

Greatly reduced testcase.  To reproduce, it requires both that there be a
floating (fixed) DIV, and that the content DIV have "overflow:auto" set.
Comment 3 Ben Fowler 2005-04-07 02:11:35 PDT
Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8b2) Gecko/20050407
Firefox/1.0+

I can see this.
Comment 4 Ben Fowler 2005-04-08 05:44:41 PDT
Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8b2) Gecko/20050408
Firefox/1.0+

There is also a update/dirty/redraw problem in which sometimes when moving 
to a new URL, parts of the previous one 'show through'. I don't have a
recipe for reproduction.
Comment 5 Ben Fowler 2005-04-08 06:22:43 PDT
(In reply to comment #4)
> Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8b2) Gecko/20050408
> Firefox/1.0+
> 
> ... I don't have a recipe for reproduction.

O.K. I realise that that is a little unsatisfactory. Here a receipe that works 
most of the time:

Go to a page like http://e2fsprogs.sourceforge.net/ which has links to a
'Sourceforge ummary page'.

Open that link and others in new tabs, Cmd-click for example. Go another
tab, and then to the summary page.

If my recipe worked, the the advert at the top (a javascript write( )) will
not have been painted, and will show what was on the previous tab. Refreshing,
or returning again will cause a repaint.

I suspect that this is a minor regression, or a manifestation of the problem
reported in comment 0 rather than anything major, but it may be a little
early to be certain.

Comment 6 Benjamin Smedberg [:bsmedberg] 2005-06-28 10:01:42 PDT
Can you test with a nightly trunk build? We just switch mac to use a new
eventloop model that will probably significantly hide the symptoms here.
Comment 7 Simon Fraser 2005-06-28 10:07:31 PDT
I doubt the new event handling will fix this. It's a bug in the mac widget code.
Comment 8 Benjamin Smedberg [:bsmedberg] 2005-06-28 10:24:19 PDT
Do the same symptoms appear in camino (cocoa widgets)?
Comment 9 Simon Fraser 2005-06-28 10:26:46 PDT
(In reply to comment #8)
> Do the same symptoms appear in camino (cocoa widgets)?

No.
Comment 10 Ben Fowler 2005-07-02 13:27:21 PDT
Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8b2) Gecko/20050702
Firefox/1.0+

Still in.
Comment 11 philippe (part-time) 2005-07-15 07:49:50 PDT
This bug is very similar to bug 259563, which has a testcase with both
'overflow:scroll' and 'overflow:auto'.
Comment 12 Simon Fraser 2005-07-19 16:00:25 PDT
*** Bug 259563 has been marked as a duplicate of this bug. ***
Comment 13 Simon Fraser 2005-07-19 16:42:27 PDT
Created attachment 189847 [details] [diff] [review]
Patch

The bug was that the code paths through nsWindow::Scroll that hit the
Invalidate() calls caused the window state (probably the update region) to be
left in a bad way for later drawing. The easiest fix for this is to make the
invalidates asynchronous.
Comment 14 Simon Fraser 2005-07-20 09:24:03 PDT
Comment on attachment 189847 [details] [diff] [review]
Patch

I approve!
Comment 15 Mike Shaver (:shaver -- probably not reading bugmail closely) 2005-07-20 09:27:21 PDT
Comment on attachment 189847 [details] [diff] [review]
Patch

So do I! a=shaver
Comment 16 Simon Fraser 2005-07-20 10:42:12 PDT
Checked in.
Comment 17 Simon Fraser 2005-08-07 14:46:02 PDT
*** Bug 228838 has been marked as a duplicate of this bug. ***
Comment 18 Ben Fowler 2005-08-13 03:36:07 PDT
(In reply to comment #5)
> (In reply to comment #4)
> > Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8b2) 
> > Gecko/20050408 Firefox/1.0+
> > 
> Go to a page like http://e2fsprogs.sourceforge.net/ which has links to a
> 'Sourceforge Summary page'.
> 
> Open that link and others in new tabs, Cmd-click for example. Go another
> tab, and then to the summary page.
> 
> ...

Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.9a1) Gecko/20050805
Firefox/1.0+

I am not seeing this problem (nor the defect reported in comment 0 ). I suspect
that this bug has many duplicates.

I will open a new report if I see it again, but it likely fixed.
Comment 19 Simon Fraser 2005-09-27 16:31:28 PDT
*** Bug 292935 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.